Class | Tk::BLT::PlotComponent::Postscript
In: | tk/lib/tkextlib/blt/component.rb
Parent: | TkObject

### Methods

cget configinfo configure current_configinfo id new new output to_eval

### Constants

OBJ_TBL | = | {}

### Public Class methods

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 810
          def self.new(chart, keys={})
            return OBJ_TBL[chart.path] if OBJ_TBL[chart.path]
            super(chart, keys)
          end

new(chart, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 815
          def initialize(chart, keys={})
            @parent = @chart = chart
            @cpath = @chart.path
            Postscript::OBJ_TBL[@cpath] = self
            @chart.postscript_configure(keys) unless keys.empty?
            @path = @id = 'postscript'
          end

### Public Instance methods

cget(option)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 831
          def cget(option)
            @chart.postscript_cget(option)
          end

configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 838
          def configinfo(key=nil)
            @chart.postscript_configinfo(key)
          end

configure(key, value=None)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 834
          def configure(key, value=None)
            @chart.postscript_configure(key, value)
            self
          end

current_configinfo(key=nil)

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 841
          def current_configinfo(key=nil)
            @chart.current_postscript_configinfo(key)
          end

id()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 823
          def id
            @id
          end

output(file=nil, keys={})

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 845
          def output(file=nil, keys={})
            if file.kind_of?(Hash)
              keys = file
              file = nil
            end

            ret = @chart.postscript_output(file, keys)

            if file
              self
            else
              ret
            end
          end

to_eval()

[Source]

    # File tk/lib/tkextlib/blt/component.rb, line 827
          def to_eval
            @id
          end

[Validate]